注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

云之南

风声,雨声,读书声,声声入耳;家事,国事,天下事,事事关心

 
 
 

日志

 
 
关于我

专业背景:计算机科学 研究方向与兴趣: JavaEE-Web软件开发, 生物信息学, 数据挖掘与机器学习, 智能信息系统 目前工作: 基因组, 转录组, NGS高通量数据分析, 生物数据挖掘, 植物系统发育和比较进化基因组学

网易考拉推荐

安装Apt for RHEL4 RHEL5  

2009-12-24 12:42:30|  分类: linux&shell |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |

Apt for RHEL4 foRHEL5

redhat源:
http://apt.sw.be/redhat

apt下载页面:http://dag.wieers.com/packages/apt/

[root@netgate ~]# wget http://dag.wieers.com/packages/apt/apt-0.5.15lorg3.1-4.el4.rf.i386.rpm
...
[root@netgate ~]# rpm -ivh apt-0.5.15lorg3.1-4.el4.rf.i386.rpm
Preparing...                ########################################### [100%]
   1:apt                    ########################################### [100%]
[root@netgate ~]# wget http://dag.wieers.com/packages/rpmforge-release/rpmforge-release-0.3.4-1.el4.rf.i386.rpm

[root@netgate ~]# rpm -Uvh rpmforge-release-0.3.4-1.el4.rf.i386.rpm
Preparing...                ########################################### [100%]
        package rpmforge-release-0.3.4-1.el4.rf is already installed


RHEL5要下载如下包:

本人是x86-64位机子,如果是32请下载i386

http://dag.wieers.com/rpm/packages/apt/apt-0.5.15lorg3.2-1.el5.rf.x86_64.rpm
http://dag.wieers.com/rpm/packages/apt/apt-devel-0.5.15lorg3.2-1.el5.rf.x86_64.rpm
http://dag.wieers.com/rpm/packages/rpmforge-release/pmforge-release-0.3.6-1.el5.rf.x86_64.rpm

/etc/apt/sources.list.d/   目录中有两个配置文件,把相应的注释去掉。

升级信息:



[root@netgate ~]# apt-get update

Get:1 http://apt.sw.be redhat/el4/en/i386/dag repomd.xml [1128B]
Fetched 1128B in 1s (833B/s)
Get:1 http://apt.sw.be redhat/el4/en/i386/dag/ primary.xml [1244kB]
Get:2 http://apt.sw.be redhat/el4/en/i386/dag/ filelists.xml [1592kB]
Fetched 2836kB in 2m13s (21.2kB/s)
Reading Package Lists... Done
Building Dependency Tree... Done

系统升级:
[root@netgate ~]# apt-get upgrade
Reading Package Lists... Done
Building Dependency Tree... Done
The following packages will be upgraded
  apt convmv freetype freetype-devel mtr nmap python-elementtree
  python-urlgrabber rsync syslinux xrestop yum
The following packages have been kept back
  lftp
12 upgraded, 0 newly installed, 0 removed and 1 not upgraded.
Need to get 4685kB of archives.
After unpacking 2767kB of additional disk space will be used.
Do you want to continue? [Y/n] Y
...

安装软件包:
apt-get install XXX

使用简介

使用相对来说比较简单:

#apt-get update
#apt-get upgrade
#apt-get check //检查依赖性
#apt-get -f install // 解决依赖性问题
如果要安装某工具,比如说iftop,可以这样:
#apt-cache search iftop
#apt-get install iftop
apt自动解决依赖性问题,方便得很。

原文:

参考:

http://www.dbanotes.net/Oracle/How_To_Maintain_RHEL_with_APT.htm



[Open Source]如何用APT维护Red Hat Enterprise Linux (RHEL)

作者:Fenng
日期:11-Nov-2004 
出处:http://www.dbanotes.net
版本:V0.031


内容简介

如何用APT(Advanced Packaging Tool)维护Red Hat Enterprise Linux (RHEL),提供对个别RHEL的用户无法升级的问题的解决办法。关键词:APT,Linux,升级,Red Hat Enterprise Linux,RHEL,YUM,RPM,依赖性

几句前言

Linux系统维护中令管理员很头疼的就是软件包之间的依赖性了,往往是你要安装A软件,但是编译的时候告诉你X软件安装之前需要B软件,而当你安 装Y软件的时候,又告诉你需要Z库了--好不容易安装好Z库,发现版本还有问题......可能很多朋友都有过这个经历。其实开源社区早就对这个问题尝试 进行解决了,不同的发行版推出了各自的工具,比如Yellow Dog的YUM ,Debian的APT(Advanced Packaging Tool)等。而这些软件也被开源软件爱好者们逐渐移植到别的发行版上。

Redhat企业版Linux的的升级往往给管理员们带来不少问题:网站下载速度太慢,不够安全,当然了,更多的人是无法更新的--版权问题。经过 一段时间的比较 ,感觉使用APT维护RHEL有着特殊的便利性。 (有的朋友可能会说,yum 也不错阿!是的,yum在很多时候表现的确不错,不过如果使用的Linux是RHEL的话,很难找到适合yum的资料库,"巧妇难为无米之炊"。) 现在把具体方法介绍给大家作为参考。

APT基本介绍

Debian GNU/Linux 是APT的缔造者。初衷是利用工具来解决软件安装时候的依赖性问题。其工作原理大致为:用户安装APT客户端工具,查寻APT服务器端的资料库 (repositories)上的RPM软件包信息,并分析软件包之间的依赖性然后下载并进行安装。

安装与配置

首先让我们安装APT工具:

# wget http://redhat.uni-klu.ac.at/el3/apt.i386.rpm
# rpm -Uvh apt.i386.rpm
安装够简单吧? 我们要编辑配置文件:
#vi /etc/apt/sources.list.d/dag.list  
添加如下内容(资料库相关的信息):
rpm http://afs.caspur.it/ afs/italia/project/linux/cern/slc302/i386/apt os updates extras
rpm http://redhat.uni-klu.ac.at redhat/dag/el3/i386 dag
rpm-src http://redhat.uni-klu.ac.at redhat/dag/el3/i386 dag
rpm http://apt.sw.be redhat/el3/en/i386 dag
rpm-src http://apt.sw.be redhat/el3/en/i386 dag

注: 第一条http://afs.caspur.it/ 的资料库几乎就是Redhat官方站点的内容。在写这篇文章的时候还是有效的。 如果要尝试更新Kernel,还可以在第一条后面添加 kernel26 .

如果需要更多Java相关软件,则:
#vi /etc/apt/sources.list.d/jpackage.list  
(这一步是可选的)添加如下内容:
rpm http://redhat.uni-klu.ac.at redhat/jpackage/redhat-es-3/i386 free devel
rpm-src http://redhat.uni-klu.ac.at redhat/jpackage/redhat-es-3/i386 free devel
rpm http://redhat.uni-klu.ac.at redhat/jpackage/redhat-es-3/generic free devel
rpm-src http://redhat.uni-klu.ac.at redhat/jpackage/redhat-es-3/generic free devel
如果要更新KDE的话(这一步可选的):
#vi /etc/apt/sources.list.d/kde.list  
考虑添加如何内容:
rpm http://apt.kde-redhat.org apt/fedora/3.0 stable
rpm http://apt.kde-redhat.org apt/fedora/all stable
rpm http://apt.kde-redhat.org apt/kde-redhat/3.0 stable unstable
rpm http://apt.kde-redhat.org apt/kde-redhat/all stable unstable
当然,这些内容是经过笔者验证的,都是可用的。从一些站点上下载的list 似乎都多多少少有点问题。

注: 如果您发现上述的资料库失效或者是有什么更好的资料库。烦请通知我: DBAnotes@gmail.com .

使用简介

使用相对来说比较简单:

#apt-get update
#apt-get upgrade
#apt-get check //检查依赖性
#apt-get -f install // 解决依赖性问题
如果要安装某工具,比如说iftop,可以这样:
#apt-cache search iftop
#apt-get install iftop
apt自动解决依赖性问题,方便得很。

要注意的是需要导入相应资料库的签名。在相关站点下载GPG key之后,用如下命令导入即可:

#rpm --import TheKey_youDownload 

如果有耐心看到这里的话,可以发现盗版的用户或者是用RHEL进行测试的朋友可以通过这个进行升级了--要不然RHEL的up2date 总是要你输入认证信息的。

参考信息


APT-howto - http://www.debian.org/doc/manuals/apt-howto/index.en.html

其他版本的APT使用问题和一些使用技巧请参考这里:

http://dag.wieers.com/home-made/apt/FAQ.php
http://www2.uni-klu.ac.at/support/Redhat
http://linuxwiki.de/apt/RedHat
  评论这张
 
阅读(2558)| 评论(0)
推荐 转载

历史上的今天

在LOFTER的更多文章

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2016